html, body { 
    max-width: 100%;
    overflow-x: hidden;
}
.jumbotron { 
    padding-top: 8px;
    padding-bottom: 22px;
}
@font-face {
    font-family: 'Aaargh';
    src: url('/static/default/fonts/aaargh/aaargh_cyrillic.eot');
    src: url('/static/default/fonts/aaargh/aaargh_cyrillic.eot?#iefix') format('embedded-opentype'),
         url('/static/default/fonts/aaargh/aaargh_cyrillic.woff') format('woff'),
         url('/static/default/fonts/aaargh/aaargh_cyrillic.ttf') format('truetype');
    font-weight: normal;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Aaargh';
    src: url('/static/default/fonts/aaargh/aaargh_cyrillic_bold.eot');
    src: url('/static/default/fonts/aaargh/aaargh_cyrillic_bold.eot?#iefix') format('embedded-opentype'),
         url('/static/default/fonts/aaargh/aaargh_cyrillic_bold.woff') format('woff'),
         url('/static/default/fonts/aaargh/aaargh_cyrillic_bold.ttf') format('truetype');
    font-weight: bold;
    font-style: normal;
    font-display: swap;
}
 div.like-buttons { 
     margin-right: 10px;
 }
.navbar-inverse {
    background-color: #2B1200; 
    border: none;
}
.thumbnail { 
   opacity: 0.9;
   padding-top: 0 !important;
}
.caption { 
    padding-top: 0 !important;
}
.caption h3 { 
    margin-left: 14px;
}
img.logo { height: 50px; float: left;  margin-top: -16px; }
div.logo {  float: left; font-size: 1.7em; margin-left: 4px;} 
span.logo-base { color: white; } 
span.logo-tld { color: gray; }

div.item { 
    float: left; 
    width:200px;
    border: 1px solid #AAB;
    padding: 15px;
    border-radius: 4px;
    margin-left:12px;
    -moz-box-shadow: 0 0 10px rgba(0,0,0,0.5); /* Для Firefox */
    -webkit-box-shadow: 0 0 10px rgba(0,0,0,0.5); /* Для Safari и Chrome */
    box-shadow: 0 0 10px rgba(0,0,0,0.5); /* Параметры тени */
    font-family: Arial;
    background-color: white;
    margin-top:10px;
}
span.item { 
    font-size:13px;
    color: #353;
    border-bottom: 2px solid #B33;
} 
div.item ul li { 
    border-bottom: 1px solid #AAA;
} 
li.today_vis {
  color: #484;
  font-weight:bold;
  font-size:17px;
}
li.today_hit {
  color: #44B;
  font-weight:bold;
  font-size:13px;
}

li.day_vis {
  color: #373;
  font-weight:bold;
  font-size:17px;
}
li.day_hit {
  color: #33A;
  font-weight:bold;
  font-size:13px;
}
li.week_vis, li.month_vis, li.online_vis, li.month_medium {
  font-size:11px;
}
li.month_vis {
    color: #57401E;
    font-weight:bold;
 } 
li.online_vis {
    color: #FF934B;
 } 
li.webomer_core {
    color:red;
}
li.webomer_search {
    color:#0AB630;
}
div.item p { color: #999; }
li.webomer_core, li.webomer_search, li.webomer_mans, li.webomer_rating {
    font-size:13px;
 }
.grey { color: #EEE; font-size:11px; }
.grey-bg { color: #EEE; font-size:13px; }
.grey-md { color: #EEE; font-size:11px; }
.grey-lg { color: #EEE; font-size:17px; }
li.alexa { font-size: 11px; color: #1077EC; font-weight:bold; }
.red { 
    color: red !important;
} 
.green { 
    color: green !important;
} 
div.myitem ul li {
    border-bottom: 1px solid #AAA;
}
a.extlink { 
    width: 20px;
    float: right;
    height: 20px;
    position: absolute;
    right: -4px;
    top: 0px;
} 
img.tyc { 
    margin-left: 0 !important;

}

.welcome div.thumbnail { 
    background-color: #FFF;
    opacity: 1.0;
    border: none;
}
.usage div.thumbnail { 
    background-color: #E5F2E5;
    opacity: 1.0;
}

.footer div.thumbnail { 
    background-color: #FFE5E5;
    opacity: 1.0;
}
img.img-about {
    width: 40%;
    padding: 10px;
    float: left;
    margin: 0 20px 20px 0;
}
.img-responsive {
    display: block;
    height: auto;
    max-width: 100%;
}
img {
    vertical-align: middle;
}
.row { 
    padding-right: 15px;
    padding-left: 15px;
    padding-top: 10px;
    padding-bottom: 10px;

}
p.title { 
    font-size: 16px;
    padding-bottom: 15px;
}
fieldset.scheduler-border {
    border: 1px groove #ddd !important;
    padding: 0 1.4em 1.4em 1.4em !important;
    margin: 0 0 1.5em 0 !important;
    -webkit-box-shadow:  0px 0px 0px 0px #000;
            box-shadow:  0px 0px 0px 0px #000;
}
legend.scheduler-border {
    width:inherit; /* Or auto */
    padding:0 10px; /* To give a bit of padding on the left and right */
    border-bottom:none;
}
.modal-dialog {
  padding-top: 15%;
}
.block-header h1.bs-featurette-title { 
    font-size: 32px;
}
ul.navbar-nav { 
   /* height: 50px; из-за этой пездатни все скакало */ 
    padding-left: 5px; 
}
.thumbnail>img, .thumbnail a>img { 
    display: inline-block; 
}

.container-fixed {
  margin: 0 auto;
  max-width: 264px;
}
h4.domain-url { 
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    position: relative;
}

.bright-url { 
    font-weight: bold;
    text-decoration: underline;
    color: rgb(25, 90, 215);
} 

.selected-div { 
    /*background-color: #FFFEDA;*/
}

.group0 { border: 4px solid #E4E9FF; } 
.group1 { border: 4px solid #B3C1FF; } 
.group2 { border: 4px solid #FFCCAD; } 
.group3 { border: 4px solid #FFB7F7; } 
.group4 { border: 4px solid #88B892; } 
.group5 { border: 4px solid #A69EC9; } 
.group6 { border: 4px solid #E4FFFA; } 
.group7 { border: 4px solid #F9E5AC; } 
.group8 { border: 4px solid #ACB7F9; } 
.group9 { border: 4px solid #F9ADAC; } 

.item-group0 { background-color:  #F8F8F0; } 
.item-group1 { background-color:  #F6F7FF; } 
.item-group2 { background-color:  #FFF4EE; } 
.item-group3 { background-color:  #F3FFF1; } 
.item-group4 { background-color:  #FFFDEF; } 
.item-group5 { background-color:  #F5F2FF; } 
.item-group6 { background-color:  #F9FAFC; } 
.item-group7 { background-color:  #FFEAEF; } 
.item-group8 { background-color:  #F5FDF3; } 
.item-group9 { background-color:  #DFFDCF; } 

p.group-name { 
    line-height: 0px;
    float: right;
    color: rgb(155, 155, 155);
    text-transform: lowercase;
}
span.depend-info { 
    margin-left: 10px;
    font-size:11px;
    float: right;
    font-weight: normal;
}
span.sword { 
    text-transform:capitalize;
    /*color: rgb(41, 73, 172);*/
} 
span.stype { 
    font-style: italic;
    color: #EB7373;
}

p.dream-type, p.last-queries { 
    padding: 10px;
}

span.by-desc { 
    color: #BBB;
    font-style: italic;
    font-size: 12px;
}
a.remove-from-storage { 
    margin-left: 2px;
    font-weight: bold;
    color: red;
    cursor: pointer;
}
span.lword { 
    font-weight: bold;
    text-transform: capitalize;
}
span.ldate { 
    color: #888;
} 

p.good { 
    color: rgb(28, 132, 2);
}
p.somegood { 
    color: rgb(146, 130, 0);
} 
p.bg-warning{ padding: 10px; } 
div.select-stressed { font-size: 3em; }

h1.title, h2.title, h3.title, h4.title { 
    font-family: Arial, Helvetica, sans-serif;
}
h2 { 
    font-size: 22px;
}

h1.title span, h2.title span, h3.title span, h4.title span { 
    color: #337AB7;
}
@media print {
  
  body {
      background: none;
  }
  
  img.trash {  
    visibility: hidden; 
  }
  div.thumbnail { 
        border: none; 
  }
  form, #dream_type, #last-queries { 
        display: none; 
  }
  #print-button { 
        display: none; 
  }
  #social-buttons, .like-buttons { 
        display: none; 
        visibility: hidden; 
  }

  a[href]:after {
    content: none !important;
  }
}

p.main-page { 
  width: 98%;
} 

div.trash-full { 
    position: absolute;
}
img.trash { 
    width: 18px;
}


input.letter-input { 
    width: 2.5em;
    display: inline-block;
    margin-bottom: 5px;
    border: 1px solid #ccc;
    box-shadow: none;
    border-radius: 2px;
    font-size: 1.2em;
}

div.letter-div { 
    position: relative;
    display: block;
    float: left;
}

span.path-number {
    float: right;
    position: absolute;
    left: 3px;
    color: rgb(162, 162, 162);
    width: 0px;
    font-size: 9px;
}
.ahint { 
    text-transform: lowercase;
    font-size: 1.5em;
    color: #466580;
    overflow: hidden;
    text-overflow: ellipsis; 
    /*display: contents;*/
    /*display: block;*/
    display: inline;
    /*color: #0c435f;*/
    /*font-weight: bold;*/
}
.strict { 
 color: #198700
}


p.tokens { 
 text-transform: none;
}
div.helpdiv {
    text-align: left;
    padding: 6px; 
    margin-bottom: 15px; 
    background-color: rgb(26, 42, 51);
    border-radius: 2px;
    float: left;
    color: #eee;
    font-size: 14px;
    font-weight: normal;
    width: 100%;
}

.fakehelpdiv { /*отображаю чтобы шаблон не скакал при отрисовке */
    text-align: left;
    padding: 6px; 
    margin-bottom: 15px; 
    background-color: rgb(26, 42, 51);
    border-radius: 2px;
    float: left;
    color: #eee;
    font-size: 13px;
    font-weight: normal;
    width: 100%;
    min-height: 160px;
}

div.helpdiv ul li { 
    text-transform: none;
}
div.helpdiv p { 
    text-transform: none;
    padding-top: 5px;
}
.scroll {
    /*max-height: 350px;*/
    overflow-y: scroll;
}
/*#helpdiv1, #helpdiv0 { */
#helpdiv0 { 
    max-height: 200px;
} 
.scroll::-webkit-scrollbar {
    width: 12px;
}

.scroll::-webkit-scrollbar-track {
    -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.8); 
    border-radius: 10px;
}

.scroll::-webkit-scrollbar-thumb {
    border-radius: 10px;
    -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.8); 
}

.helpspan { 
    font-weight: bold;
}
ul.images{ list-style: none !important;     margin-left: -40px; } 
ul.images li { float: left; height: 123px; margin-right: 2px; } 
ul.images li img { width: 120px; }

span.search-separator { 
    margin-right: 5px;
    float: left;
}
span.inword-cross { 
   text-transform: lowercase;
   display: block;
   float: left;
}
span.inword-cross:first-letter { 
    text-transform: capitalize;
    color: #43494B;
}

.history-item { 
    text-transform: lowercase;
}
a.history-item span { 
    color: #35353A;
}
div#userword-alert p { 
    text-align: left;
}
span.remove-history { 
    cursor: pointer;
}
div.block-header { 
    min-width: 50px;
    display: inline-block;
}

div.block-header h1:first-letter { 
    text-transform: uppercase;
}
p.result-item { 
    
}

#loading { display:none; 
           position:fixed; 
           z-index: 1000;
           left:0; 
           top:0; 
           width:100%; 
           height:100%;            
           background-color: rgba( 58, 36, 22, 0.7 );
}
#loading p { 
    font-size: 36px;
    color: white;
    text-align: center;
}
#loading img { 
    max-width: 40%;
}

.spinner-container {
}
.spinner-wrap {
  display: block;
  text-align: center;
}
.spinner-kbd { 
    background-color: transparent;
    border: none;
    box-shadow: none;
}

@-webkit-keyframes rotate {
  100% {-webkit-transform: rotate(360deg);
  -ms-transform: rotate(360deg);
    transform: rotate(360deg);}
}
@keyframes rotate {
  100% {-webkit-transform: rotate(360deg);
  -ms-transform: rotate(360deg);
    transform: rotate(360deg);}
}
.spinner-element {
  color: white;
  -webkit-animation: rotate 2s linear infinite;
  animation: rotate 2s linear infinite;
}
.spinner-element-1 {
  background: none;
  margin-top: 10%;
}

.btn-search { 
    /*padding: 10px 16px;
    font-size: 18px;
    line-height: 1.3333333;
    border-radius: 6px;*/
    /*padding: 2px 8px;*/
    padding-left: 4px;
    padding-right: 4px;
}

p.how-usage { display: none; } 
p.adnotation { color: gray;  font-size: 12px; display: none; } 
div.media-ad { margin-bottom: 5px; margin-top: 15px; margin-bottom: 15px; min-height: 282px; } 
div.mobility-ad { display: none; }  
div.center-block { margin-top: 8px; } 
a.how-usage-link { text-decoration: underline; color: #005875; margin-right: 5px;}
a > b { 
    text-decoration: underline;
}
.media-ad.last-ad { 
    margin-top: 20px;
}
.h34 { 
    height: 34px;
}
.btn-esm { 
    font-size: 10px;
}
/*div.mobility-ad { display: inline-block; } */

@media screen and (max-device-width: 411px) { 
    /*.google-ad { margin-left: -20px; }*/

    /*.ahint { display: block; } */
    #result-interp { 
        padding-right: 5px;
        padding-left: 10px;
    }
    /*#helpdiv1, #helpdiv0 { */
    #helpdiv0 { 
        max-height: 160px;
    } 
    div.helpdiv { font-size: 14px; }

     div.like-buttons { display: none; }
     hr { 
         margin-top: 5px;
         margin-bottom: 5px; 
     }
    .block-header h1.bs-featurette-title {
        font-size: 26px;
    }
    h1 { 
        margin-top: 5px; 
        margin-bottom: 5px;
    }
    .find-button {
        float: right;
        padding-left: 5px;
    }
    .external-search { 
        padding-right: 5px; 
    }
    .btn-search { 
        /*padding: 8px 12px;
        font-size: 18px;
        line-height: 1.42857143;
        border-radius: 4px;*/
    }
    .navbar { 
        margin-bottom: 3px; 
    }
    .container { 
        padding-right: 3px;
        padding-left: 3px; 
    }
    p.how-usage { display: initial; } 
    p.adnotation { display: initial; } 
    div.media-ad {  padding: 0; margin: auto; margin-top: 15px; margin-bottom: 15px; }
    div.desktop-ad  { display: none; }
    div.mobility-ad { display: block; } 
}
@media screen and (max-device-width:900px ) { 
    .navbar-fixed-top {
        /*position: relative;*/
        top: auto;
    }
}
@media screen and (max-device-width: 768px) {


    /*.ahint { display: block; } */
    p.how-usage { display: initial; } 
    p.adnotation { display: initial; } 
    div.media-ad {  padding: 0; margin: auto; margin-top: 15px; margin-bottom: 15px; }
    div.desktop-ad  { display: none; }
    div.mobility-ad { display: block; } 

    .external-search { 
        padding-right: 5px; 
    }
    .find-button {
        float: right;
        padding-left: 5px;
    }
    .btn-search { 
        /*padding: 7px 10px;
        font-size: 18px;
        line-height: 1.42857143;
        border-radius: 4px;*/
    }
    h1 { 
        margin-top: 5px; 
    }
    .navbar-fixed-top {
        position: relative;
        top: auto;
    }
    .block-header h1.bs-featurette-title {
        font-size: 24px;
    }
     hr { 
         margin-top: 2px;
         margin-bottom: 3px; 
     }
    .navbar-collapse {
        max-height: none;
    }
    div.like-buttons { display: none; }
    body {
        background: none;
        margin: 0;
        padding: 0;
    }
    .jumbotron { 
        display: none;
    }
    .row {
        padding-right: 5px;
        padding-left: 5px;
        padding-top: 5px;
    }
    .navbar { 
        margin-bottom: 3px; 
    }
    .container { 
        padding-right: 3px;
        padding-left: 3px; 
    }
}
body.userwords { 
    background: none;
}
div.sbuttons { 
    margin-bottom: 10px;
}
div.thumbnail-userwords { 
    border: none;
}
li a.pop {
    position: relative;
}

li a.pop::before {
    content: "";
    position: absolute;
    right: 0;
    width: 30px; /* Задайте желаемую ширину и высоту для изображения */
    height: 30px;
    background-image: url('../img/hand.png');
    background-size: cover;
    background-position: center;
    z-index: 1; /* чтобы изображение находилось над содержимым <a> */
}
.rating { width: 70px; display: block; height: 20px; background-color: #CCC; }
.positive { background-color: #63B363; float: left; height: 100%; }
.negative { background-color: #C10000; float: left; height: 100%; }
.positive-value, .negative-value { 
    color: white;
    font-size: 11px;
    padding: 4px;
}
.enable-in-base { } 
.disable-in-base { color: red; }
.record-enable { color: #AAA; } 
.duplicate-entry { color: orange; } 
.google-href-two:hover, .google-href-word:hover, .google-href:hover  { 
   text-decoration: none; 
}
.edit-buttons { 
    display: flex;
    float: left;
    margin-right: 25px;
}
.table-controls { 
    display: flex;
    float: left;
}

.table tr:nth-child(even) {
  background-color: #f8f9f9;
}

tr:hover { 
/*box-shadow: 0px 0px 7px 7px #deeeff;*/
}

td.edit-column { 
    min-width: 220px;
}
span.corrupted-word, span.good-word { 
    margin-right: 5px;
}
span.corrupted-word { 
    color: red;
}
a.remove-all-user-words { 
    margin-left: 5px;
}

.later-list { 
    margin-top: 10px;
} 
.main-list { 
    margin-top: 10px;
} 
.user-balance { 
    position: fixed;
    right: 10px;
    top: 48px;
    height: 30px;
    z-index: 10;
}
.rmore { 
    border-top: none;
}
.fat { 
    margin-bottom: 5px;
} 
.undo-button-active { 
    color: green;
} 

.result-item { 
    /*overflow: hidden;*/
    text-overflow: ellipsis;
    padding-left: 0px;
}
/* suggester */
#suggestions {
  margin: 0;
  padding: 0;
  position: absolute;
  z-index: 9999;
  width: 99%;
  max-height: 400px;
  overflow-y: auto;
}

#suggestions li {
  padding: 5px;
  cursor: pointer;
  font-weight: bold;
  padding-top: 10px;
  font-size: 17px;
}

#suggestions li:hover {
  background-color: #f1f1f1;
}

#suggestions li.active {
  /*background-color: #4CAF50;*/
  background-color: #008b29;
  color: white;
}

#clear-input {
  vertical-align: middle;
  border-radius: 0px 3px 3px 0px;
  border-left: none;
  padding-left: 10px;
  padding-right: 10px;
  box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075);
}

#clear-input:focus {
    outline: none;
}

#clear-input-mask {
  vertical-align: middle;
  border-radius: 0px 4px 4px 0px;
  border-left: none;
  padding-left: 12px;
  padding-right: 12px;
  box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075);
}

#clear-input-mask:focus {
    outline: none;
}

span.fa-search { 
    color: #7c7c7c;
}

span.fa-voice { 
    color: #777;
}
#id_desc:focus ~ span > #clear-input, #id_desc:focus ~ span > #search-button, #id_mask:focus ~ span > #clear-input-mask { 
    border-color: #66afe9;
    outline: 0;
    box-shadow: inset 0 1px 1px rgb(0 0 0 / 8%), 0 0 8px rgb(102 175 233 / 60%);
}

#id_desc { 
    /*font-size: 14px;*/
    font-size: 1.2em;
    border-radius: 6px 0 0 6px;
} 

.container {
  /*margin-top: 20px;*/
}
/* end suggester */

.btn-success-add {
    color: #fff;
    background-color: #206d20;
    border-color: #084708;
}
.contact-email { 
    color: #002545;
    text-decoration: underline;
    font-weight: bold;
}
.chint > a { 
   color: #616103;
}

/*-------------------------------------- st liked ----------------------*/
/* Общие стили */
.result-item {
    display: flex;
    align-items: center;
    /*margin-bottom: 15px;*/
    position: relative;
}

.resultquery {
    /*flex-grow: 1;*/
    /*font-size: 18px;
    font-weight: bold;*/
    /*text-decoration: none;*/
    /*color: #333;*/
}

/* Стили для кнопки меню */
.menu-icon {
    cursor: pointer;
    margin-right: 4px;
    transition: color 0.3s;
    padding-bottom: 4px;
    color: #e1e1e1;
    /*color: #dddddd;*/
    top: 3px;
}

blockquote * a { 
    color: #0055c5;
}
.menu-icon:hover {
    color: #888;
}

span.thumbup-bright { 
    /*color: #ab8203 !important;*/
    color: #008b2d !important;
    font-weight: bold;
}

/* Всплывающее меню */
.menu-popup {
    display: none;
    position: absolute;
    /*top: 100%;*/
    top: 25px; 
    left: 0;
    background-color: #fff;
    border: 1px solid #ddd;
    border-radius: 5px;
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
    z-index: 10;
    padding: 5px;
    white-space: nowrap;
}

.like, .dislike { 
    display: flex;
    align-items: center;
    cursor: pointer;
    transition: background-color 0.2s;
}
.menu-item {
    display: flex;
    align-items: center;
    cursor: pointer;
    padding: 5px 10px;
    transition: background-color 0.2s;
}
.menu-item:hover {
    background-color: #f0f0f0;
}
.menu-item.active {
    background-color: #ededdc;
}
/* Иконка лайка */
.thumbup {
    width: 16px;
    height: 22px;
    margin-left: 8px;
    background-image: url('data:image/svg+xml;utf8,<svg fill="%236db300" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 489.543 489.543"><path d="M270.024,0c-22.6,0-15,48.3-15,48.3s-48.3,133.2-94.5,168.7c-9.9,10.4-16.1,21.9-20,31.3l0,0l0,0c-0.9,2.3-1.7,4.5-2.4,6.5c-3.1,6.3-9.7,16-23.8,24.5l46.2,200.9c0,0,71.5,9.3,143.2,7.8c28.7,2.3,59.1,2.5,83.3-2.7c82.2-17.5,61.6-74.8,61.6-74.8c44.3-33.3,19.1-74.9,19.1-74.9c39.4-41.1,0.7-75.6,0.7-75.6s21.3-33.2-6.2-58.3c-34.3-31.4-127.4-10.5-127.4-10.5l0,0c-6.5,1.1-13.4,2.5-20.8,4.3c0,0-32.2,15,0-82.7C346.324,15.1,292.624,0,270.024,0z"/><path d="M127.324,465.7l-35-166.3c-2-9.5-11.6-17.3-21.3-17.3h-66.8l-0.1,200.8h109.1C123.024,483,129.324,475.2,127.324,465.7z"/></svg>');
    background-size: contain;
    background-repeat: no-repeat;
    transition: transform 0.3s, background-color 0.3s;
}

.thumbup.active {
    transform: scale(1.5);
}

.amount {
    font-size: 14px;
    margin-left: 5px;
}

/* Эффект разлетающихся частиц */
.particles {
    position: absolute;
    top: 50%;
    left: calc(100% - 20px);
    transform: translate(-50%, -50%);
    width: 0;
    height: 0;
    pointer-events: none;
}

.particle {
    position: absolute;
    width: 4px;
    height: 4px;
    background-color: #ff4747;
    border-radius: 50%;
    animation: particle-explode 0.5s forwards ease-out;
}
span.ltitle { 
    position: relative;
    min-width: 100px;
}
span.ltitle:after { 
  content: "Хороший ответ";
  position: absolute;
  top: -10px;
  left: 0;
  /*z-index: -1;*/
}

input#id_mask { 
    font-size: 18px; 
}
select#letter-select { 
    font-size: 16px; 
}

@keyframes particle-explode {
    from { transform: scale(1) translate(0, 0); opacity: 1; }
    to { transform: scale(0.8) translate(var(--x), var(--y)); opacity: 0; }
}

  @keyframes breathing-icon {
        0%, 100% {
            transform: scale(1);
            color: red;
        }
        25% {
            transform: scale(1.2);
            color: orange;
        }
        50% {
            transform: scale(1.4);
            color: yellow;
        }
        75% {
            transform: scale(1.2);
            color: green;
        }
    }

    .breathing-icon {
        animation: breathing-icon 2s infinite ease-in-out;
    }
/* ---- suggest new */
.hidden-content {
  display: none !important;
}

.mobile-mode {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: white;
    z-index: 9999;
    padding: 10px;
    overflow: hidden;
    padding-right: 5px;
    padding-left: 5px;
}
/*.mobile-mode * .focused-input {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  z-index: 9999;
  background: white;
  padding: 10px;
  box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
}
*/
/* Саджестер фиксирован */
/*
.mobile-mode * #suggestions {
  position: fixed;
  top: 60px; 
  left: 10px;
  right: 10px;
  z-index: 9999;
  background: white;
  border: 1px solid #ccc;
  border-radius: 4px;
  max-height: 50%;
  overflow-y: auto;
  display: none; 
}*/

/* Саджестер активен */
/*
.mobile-mode * #suggestions.active {
  display: block;
}*/

.mobile-mode * input#id_desc { 
    padding-left: 30px;
}

#exit-mobile-mode svg{ 
    overflow: hidden;
    width: 24px;
    height: 24px;
    position: absolute;
    z-index: 10;
    margin-top: 10px;
    margin-left: 5px;
    color: red;
    display: block;
}
.mobile-mode .form-group {
    margin: 0;
}

.mobile-mode .back-button {
    display: contents;
    margin-right: 10px;
    background: none;
    border: none;
    cursor: pointer;
    height: 16px;
}

#suggestions li {
    display: flex;
    /* display: inline-flex; */
    /* display: -webkit-box; */
    justify-content: space-between;
    align-items: center;
    text-align: left;
    justify-content: flex-start;
}

#suggestions li .suggestion-action {
    cursor: pointer;
    color: #ada89a;
    margin-left: 10px;
    transform: rotate(14deg);
    width: 30px;
    display: block;
}
/* ---- suggest new end */
.hintMask {
    display: none;
    position: absolute;
    background-color: #f9f9f9;
    border: 1px solid #ccc;
    padding: 10px;
    border-radius: 5px;
    z-index: 1000;
    width: 330px;
    max-width: 350px;
    font-weight: normal;
    font-size: 16px;
    text-align: left; 
}
.hintMask ul  { 
    margin-left: -10px;
}
#maskLabel { 
    text-decoration: underline;
    cursor: pointer;
}
/*-------------------------------------- end ----------------------*/
@media screen and (min-device-width: 769px) {
    body { 
        background: url(../img/coffee3.jpg) no-repeat center center fixed;
        background-attachment: fixed;
        background-size: cover;
    }
    .result-item { 
        /*overflow: hidden;*/
         text-overflow: ellipsis;
    }
    .chint { 
        display: unset;
        /*display: inline-block;*/
    }
    #search-button  { 
        width: 110px;
    }
}

@media screen and (max-device-width: 768px) {
    fieldset#letters-div { 
        margin-bottom: 5px; 
    }
    #id_desc { 
        font-size: 1.1em;
    } 
    .chint { 
        display: unset;
        /*display: inline-block;*/
    }
    #result-count {
        position: absolute;
        top: -6px;
        right: 10px;
        font-size: 10px;
    }

    #clear-input-mask {
        font-size: 14px;
    }
    .full { 
        padding-right: 5px; 
        padding-left: 5px;
    }
    .simple-mask {
        display: none;
    }
    .form-group.normal-mask {
        display: initial;
    }
}

